> ## Documentation Index
> Fetch the complete documentation index at: https://developer.instantly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Disable warmup for accounts

> Initiates a background job to disable warmup for the specified accounts. The response will contain the initial background job object. You can monitor the job's progress by polling the `GET: /api/v2/background-jobs/:id` endpoint.



## OpenAPI

````yaml https://api.instantly.ai/openapi/api_v2.json post /api/v2/accounts/warmup/disable
openapi: 3.1.0
info:
  title: API Explorer
  description: >-
    The entire API V2 documentation is interactive and can be tested here. To
    the right side of every endpoint you will see a box with an example request.
    You can click on the "Try it" button to send a request to the server right
    from the docs. You will need to provide an API key by clicking the
    `ApiKeyAuth_token` blue text.
  version: 2.0.0
servers:
  - url: https://api.instantly.ai
    description: Instantly API Server
security:
  - ApiKeyAuth: []
tags:
  - name: Analytics
    description: Endpoints related to analytics
    x-displayName: Analytics
  - name: OAuth
    description: >-
      OAuth authentication endpoints for connecting Google and Microsoft email
      accounts
    x-displayName: OAuth
  - name: Account
    description: An email account that can be used to send campaigns
    x-displayName: Account
  - name: Campaign
    description: A campaign that can be sent to a list of recipients
    x-displayName: Campaign
  - name: Email
    description: >-
      A campaign email, a reply, a manually sent email, or any other email
      that's visible in the Unibox
    x-displayName: Email
  - name: EmailVerification
    description: A single email verification
    x-displayName: Email Verification
  - name: LeadList
    description: A list used to store leads
    x-displayName: Lead List
  - name: InboxPlacementTest
    description: An inbox placement test
    x-displayName: Inbox Placement Test
  - name: InboxPlacementAnalytics
    description: Analytics data for individual emails in inbox placement tests
    x-displayName: Inbox Placement Analytics
  - name: InboxPlacementBlacklist&SpamAssassinReport
    description: Report data for an inbox placement test
    x-displayName: Inbox Placement Blacklist & SpamAssassin Report
  - name: APIKey
    description: API Key
    x-displayName: API Key
  - name: AccountCampaignMapping
    description: Account Campaign Mapping
    x-displayName: Account Campaign Mapping
  - name: Lead
    description: A lead entity representing an individual lead
    x-displayName: Lead
  - name: BackgroundJob
    description: A background job that can be used to perform long-running tasks
    x-displayName: Background Job
  - name: CustomTag
    description: >-
      A custom tag for organizing and categorizing accounts and campaigns. You
      can use them as filters in apis that list accounts and campaigns.
    x-displayName: Custom Tag
  - name: CustomTagMapping
    description: >-
      This entity represents a tag being assigned to a specific campaign or
      email account. When an email account is assigned a tag, a new custom tag
      mapping entry is created, which connects the tag (`tag_id` field) with the
      email account (`resource_id` field). You can use it to see which tag si
      connected to which resource.
    x-displayName: Custom Tag Mapping
  - name: BlockListEntry
    description: A blocked email or domain
    x-displayName: Block List Entry
  - name: LeadLabel
    description: A custom label for categorizing and managing leads
    x-displayName: Lead Label
  - name: Workspace
    description: A workspace entity representing a workspace
    x-displayName: Workspace
  - name: SuperSearchEnrichment
    description: >-
      An enrichment can take different forms, such as email enrichment or
      LinkedIn enrichment. Leads may be imported from SuperSearch using the
      dedicated endpoint, or enriched directly within a list or campaign by
      attaching an enrichment to it.
    x-displayName: SuperSearch Enrichment
  - name: WorkspaceGroupMember
    description: >-
      A member of a workspace group. You can use the endpoints within this
      entity to manage the members of a workspace group.
    x-displayName: Workspace Group Member
  - name: WorkspaceMember
    description: A member of a workspace with associated user details
    x-displayName: Workspace Member
  - name: CampaignSubsequence
    description: A subsequence entity representing a follow-up sequence
    x-displayName: Campaign Subsequence
  - name: AuditLog
    description: Audit log records for tracking system activities
    x-displayName: Audit Log
  - name: Webhook
    description: A webhook subscription for receiving event notifications
    x-displayName: Webhook
  - name: WebhookEvent
    description: A webhook event that was sent or attempted to be sent
    x-displayName: Webhook Event
  - name: DFYEmailAccountOrder
    description: A Done-For-You email account order
    x-displayName: DFY Email Account Order
  - name: CustomPromptTemplate
    description: Custom prompt templates for creating custom prompts
    x-displayName: Custom Prompt Template
  - name: SalesFlow
    description: >-
      Manages how sales users view and interact with campaign and lead lists
      within the sales flow.
    x-displayName: Sales Flow
  - name: EmailTemplate
    description: A campaign email template
    x-displayName: Email Template
  - name: WorkspaceBilling
    description: Workspace Billing
    x-displayName: Workspace Billing
  - name: CRMActions
    description: CRM related actions
    x-displayName: CRM Actions
paths:
  /api/v2/accounts/warmup/disable:
    post:
      tags:
        - Account
      summary: Disable warmup for accounts
      description: >-
        Initiates a background job to disable warmup for the specified accounts.
        The response will contain the initial background job object. You can
        monitor the job's progress by polling the `GET:
        /api/v2/background-jobs/:id` endpoint.
      operationId: disableWarmupForAccounts
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                emails:
                  type: array
                  items:
                    type: string
                    example: user@example.com
                  maxItems: 100
                  description: >-
                    List of emails to disable warmup accounts for. The emails
                    should be attached to accounts in your workspace.
                include_all_emails:
                  type: boolean
                  description: If true, it will disable warmup to all accounts
                  example: true
                excluded_emails:
                  type: array
                  items:
                    type: string
                    example: user@example.com
                  maxItems: 100
                  description: >-
                    List of emails to exclude when `include_all_emails` is
                    `true`.
                filter:
                  type:
                    - object
                    - 'null'
                  description: >-
                    Optional filter to apply when `include_all_emails` is
                    `true`. Can contain tag_id or other filter criteria.
                  additionalProperties: true
                  properties:
                    tag_id:
                      type: string
                      description: The ID of the tag to filter accounts by.
                      example: 019e0e3e-b4be-752b-be36-b1636e7f8a14
                    filter:
                      type:
                        - string
                        - 'null'
                      description: The filter to apply to the accounts.
                      enum:
                        - ACC_FILTER_PAUSED
                        - ACC_FILTER_ERROR
                        - ACC_FILTER_NO_CTD
                        - ACC_FILTER_PW_ACCOUNTS
                        - ACC_FILTER_DFY
                        - ACC_FILTER_DFY_SETUP_PENDING
                        - ACC_FILTER_W_ACTIVE
                        - ACC_FILTER_W_PAUSED
                        - ACC_FILTER_W_ERROR
                        - null
                      x-enumDescriptions:
                        ACC_FILTER_PAUSED: Paused
                        ACC_FILTER_ERROR: Has errors
                        ACC_FILTER_NO_CTD: No custom tracking domain
                        ACC_FILTER_PW_ACCOUNTS: Pre-warmed accounts
                        ACC_FILTER_DFY: DFY accounts
                        ACC_FILTER_DFY_SETUP_PENDING: DFY Setup Pending
                        ACC_FILTER_W_ACTIVE: Warmup active
                        ACC_FILTER_W_PAUSED: Warmup paused
                        ACC_FILTER_W_ERROR: Warmup has errors
                        'null': No filter
                      example: ACC_FILTER_PAUSED
                search:
                  type: string
                  description: >-
                    Optional search query to filter accounts when
                    `include_all_emails` is `true`.
                  example: gmail.com
      responses:
        '200':
          description: The requested Background Job
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/def-12'
        '401':
          description: >-
            This request is unauthorized (either the Authorization header is
            missing or invalid, or the API key has been revoked)
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 401
                    example: 401
                  error:
                    type: string
                    enum:
                      - Unauthorized
                    example: Unauthorized
                  message:
                    type: string
                    example: Missing Authorization header
                required:
                  - statusCode
                  - error
                  - message
        '402':
          description: >-
            This request cannot be fulfilled because the workspace does not have
            an active paid plan
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 402
                    example: 402
                  error:
                    type: string
                    enum:
                      - Payment Required
                    example: Payment Required
                  message:
                    type: string
                    example: Workspace does not have an active paid plan
                required:
                  - statusCode
                  - error
                  - message
        '404':
          description: The requested resource was not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 404
                    example: 404
                  error:
                    type: string
                    enum:
                      - Not Found
                    example: Not Found
                  message:
                    type: string
                    example: Resource not found
                required:
                  - statusCode
                  - error
                  - message
        '429':
          description: >-
            You have exceeded the rate limit. Please check the rate limit docs
            for more information.
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 429
                    example: 429
                  error:
                    type: string
                    enum:
                      - Too Many Requests
                    example: Too Many Requests
                  message:
                    type: string
                    example: Rate limit exceeded
                required:
                  - statusCode
                  - error
                  - message
components:
  schemas:
    def-12:
      title: Background Job
      description: A background job that can be used to perform long-running tasks
      x-tags:
        - Schemas
        - BackgroundJob
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the background job
          readOnly: true
          example: 675266e304a8e55b17f0228b
        workspace_id:
          type: string
          description: Workspace ID
          readOnly: true
          format: uuid
          example: 019e0e3e-7308-7f50-a562-bec2cb15af1d
        user_id:
          type:
            - 'null'
            - string
          description: The id of the user that triggered the action that created the job
          readOnly: true
          format: uuid
          example: 019e0e3e-7308-7f50-a562-bec33f6c4cc0
        type:
          type: string
          description: Type of background job
          enum:
            - move-leads
            - import-leads
            - export-leads
            - update-warmup-accounts
            - rename-variable
          x-enumDescriptions:
            move-leads: Move Leads
            import-leads: Import Leads
            export-leads: Export Leads
            update-warmup-accounts: Update Warmup Accounts
            rename-variable: Rename Variable
          example: move-leads
        entity_id:
          type:
            - 'null'
            - string
          description: The id of the entity that the job is related to
          format: uuid
          example: 019e0e3e-7308-7f50-a562-bec4c0d138c6
        entity_type:
          type: string
          description: Type of entity
          enum:
            - list
            - campaign
            - workspace
          x-enumDescriptions:
            list: The entity is a lead list
            campaign: The entity is a campaign
            workspace: The entity is a workspace
          example: list
        data:
          type: object
          description: >-
            Data about the job, used to store any additional information we need
            to process the job
          additionalProperties: true
        progress:
          type: number
          description: Progress of the job as a percentage (from 0 to 100)
          minimum: 0
          maximum: 100
          example: 0
        status:
          type: string
          description: Job status
          enum:
            - pending
            - in-progress
            - success
            - failed
          x-enumDescriptions:
            pending: The background job is waiting in the queue to be processed
            in-progress: The background job is being processed
            success: The background job has been successfully processed
            failed: The background job has failed
          example: pending
        created_at:
          type: string
          description: Timestamp when the job was created
          example: '2026-05-09T19:37:14.248Z'
        updated_at:
          type: string
          description: Timestamp when the job was last updated
          example: '2026-05-09T19:37:14.248Z'
      required:
        - id
        - workspace_id
        - type
        - progress
        - status
        - created_at
        - updated_at
      additionalProperties: false
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer

````